RichSequenceBuilder (BioJava-1.5-beta API)
Keywords: org.biojavax.bio.seq.io.RichSequenceBuilder interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio.seq.io
Interface RichSequenceBuilder

All Superinterfaces:
  RichSeqIOListener, SeqIOListener, SequenceBuilder

All Known Implementing Classes:
  SimpleRichSequenceBuilder

    public interface RichSequenceBuilder

extends RichSeqIOListener, SequenceBuilder

An interface for objects that can build RichSequences.

Since:
  1.5
Author:
  Mark Schreiber

Method Summary
`RichSequence` | `makeRichSequence()` Build a RichSequence.
`Sequence` | `makeSequence()` Return the Sequence object which has been constructed by this builder. Implementations of this for a RichSequenceBuilder should delegate to makeRichSequence() and return only RichSequence objects.

Methods inherited from interface org.biojavax.bio.seq.io.RichSeqIOListener
`getCurrentFeature, setAccession, setCircular, setComment, setDescription, setDivision, setIdentifier, setNamespace, setRankedCrossRef, setRankedDocRef, setRelationship, setSeqVersion, setTaxon, setURI, setVersion`

Methods inherited from interface org.biojava.bio.seq.io.SeqIOListener
`addFeatureProperty, addSequenceProperty, addSymbols, endFeature, endSequence, setName, startFeature, startSequence`

Methods inherited from interface org.biojava.bio.seq.io.SeqIOListener
`addFeatureProperty, addSequenceProperty, addSymbols, endFeature, endSequence, setName, startFeature, startSequence`

Method Detail

### makeSequence

    Sequence makeSequence()
                          throws BioException

  Return the Sequence object which has been constructed by this builder. This method is only expected to succeed after the endSequence() notifier has been called. Implementations of this for a RichSequenceBuilder should delegate to makeRichSequence() and return only RichSequence objects.

  Specified by:
    `makeSequence` in interface `SequenceBuilder`
  Throws:
    `BioException`

### makeRichSequence

    RichSequence makeRichSequence()
                                  throws BioException

  Build a RichSequence.

  Returns:
    a RichSequence
  Throws:
    `BioException` - if it is not possible to build a RichSequence

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD